unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, SoundRecLib_TLB;

type
  TForm1 = class(TForm)
    SoundRec1: TSoundRec;
    BStart: TButton;
    BStop: TButton;
    Label1: TLabel;
    Status: TLabel;
    BCodec: TButton;
    BProperties: TButton;
    BAbout: TButton;
    Label2: TLabel;
    Volume: TLabel;
    FName: TEdit;
    Label3: TLabel;
    procedure BStartClick(Sender: TObject);
    procedure BStopClick(Sender: TObject);
    procedure SoundRec1Started(Sender: TObject);
    procedure SoundRec1Stopped(Sender: TObject);
    procedure BCodecClick(Sender: TObject);
    procedure BPropertiesClick(Sender: TObject);
    procedure BAboutClick(Sender: TObject);
    procedure SoundRec1AudioVolume(Sender: TObject; AudioVolume: Integer);
    procedure FNameChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.BStartClick(Sender: TObject);
begin
   SoundRec1.Start();
end;

procedure TForm1.BStopClick(Sender: TObject);
begin
    SoundRec1.Stop();
end;

procedure TForm1.SoundRec1Started(Sender: TObject);
begin
    Status.Caption:='Started';
end;

procedure TForm1.SoundRec1Stopped(Sender: TObject);
begin
    Status.Caption:='Stopped';
end;

procedure TForm1.BCodecClick(Sender: TObject);
begin
   SoundRec1.ChooseCodec();
end;

procedure TForm1.BPropertiesClick(Sender: TObject);
begin
    SoundRec1.Properties();
end;

procedure TForm1.BAboutClick(Sender: TObject);
begin
   SoundRec1.AboutBox();
end;

procedure TForm1.SoundRec1AudioVolume(Sender: TObject;
  AudioVolume: Integer);
  var str: String;
begin
   str := string(AudioVolume);
   Volume.Caption := str;
end;

procedure TForm1.FNameChange(Sender: TObject);
begin
    SoundRec1.FileName := FName.Text;
end;

end.
